BackendHTTP APIEnvironments
Get an environment API key
Requires an Account API key with the account:environments:api_keys:read scope.
Retrieves an Environment API key, including its secret.
Response example
{
"data": {
"id": 456,
"uuid": "123e4567-e89b-12d3-a456-426614174001",
"display_name": "provisioned-ci",
"scopes": ["environment:*"],
"secret": "<YOUR-ENVIRONMENT-API-KEY>",
"last_used_at": null,
"created_at": "2026-08-18T12:00:00.000Z"
}
}GET
Retrieve an Environment API key, including its secret.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
environmentUuid*stringEnvironment UUID that owns the key.
Format
uuidkeyUuid*stringAPI-key UUID.
Format
uuidSuccessfully retrieved the Environment API key
application/json- response
data*curl -X GET 'https://api.tenklo.dev/environments/123e4567-e89b-12d3-a456-426614174000/api-keys/123e4567-e89b-12d3-a456-426614174001'Example Response
{ "data": { "id": 0, "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "display_name": "string", "scopes": [ "string" ], "secret": "string", "last_used_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" }}